[Unit]
Description=OpenAFS Client Service - CERN config
Requires=network-online.target NetworkManager-wait-online.service
After=syslog.target network-online.target NetworkManager-wait-online.service
Before=remote-fs.target

[Service]
Type=forking
RemainAfterExit=true
TimeoutSec=180s
EnvironmentFile=/etc/sysconfig/openafs
ExecStartPre=/bin/bash -c 'fs sysname > /dev/null 2>/dev/null && { echo "AFS client appears to be running -- not starting again"; exit 2; } ||:'
ExecStartPre=/bin/bash -c 'pgrep --uid 0 --parent 1 --exact afsd >/dev/null && { echo "leftover AFS cachemanager afsd -- cannot start, please reboot"; exit 2; } ||: '
ExecStartPre=/bin/bash -c '/sbin/modinfo openafs >/dev/null || { echo "no AFS module for the currently-running kernel found"; exit 2; }'
ExecStartPre=/bin/bash -c 'ip -4 --brief addr show scope global primary up | grep -q UP || { echo "no available IPv4 network found, AFS wont work"; exit 2; }'
ExecStartPre=/bin/sed -n 'w/usr/vice/etc/CellServDB' /usr/vice/etc/CellServDB.local /usr/vice/etc/CellServDB.dist
ExecStartPre=/bin/chmod 0644 /usr/vice/etc/CellServDB
ExecStartPre=/sbin/modprobe openafs
ExecStart=/usr/vice/etc/afsd $AFSD_ARGS
<% if @setcrypt -%>
ExecStartPost=/usr/bin/fs setcrypt -crypt on
<% end -%>
ExecStop=/bin/umount /afs
ExecStop=/usr/vice/etc/afsd -shutdown
ExecStop=/sbin/rmmod openafs
SuccessExitStatus=1
KillMode=none

[Install]
WantedBy=multi-user.target remote-fs.target
